webmail.domains = ["kpnmail.nl", "planet.nl", "hetnet.nl", "kpnplanet.nl", "freeler.nl", "compaqnet.nl", "hi.nl", "ibmail.nl", "ing-access.nl", "on.nl", "onsbrabantnet.nl", "onsmail.nl", "onsnet.nu", "onsneteindhoven.nl", "onsnetnuenen.nl", "pi.net", "snelnet.net", "sp-plus.nl", "worldaccess.nl", "wxs.nl", "functionaltest.kpn", "12move.nl", "24adsl.nl", "club.tip.nl", "club.wolmail.nl", "noknok.nl", "open.net", "simyo.nl", "telfort.nl", "testb2c.nl", "tip.nl", "tiscali.nl", "tiscalimail.nl", "wish.net", "wish.nl", "wishmail.net", "wishmail.nl", "wolmail.nl", "worldmail.nl", "worldonline.nl", "flevonet.nl", "concepts.nl", "horizon.nl", "flnet.nl", "noordbrabant.net", "plusplaza.nl", "westbrabant.net", "conmail.nl", "kon-mail.nl", "con-mail.nl", "ciscon.nl", "konmail.nl", "concepts-ict.nl", "knoware.nl", "ision.nl", "inn.nl", "adsltotaal.nl", "westbrabantnet.nl", "wirehub.nl", "kickmail.nl", "kickxl.nl", "telfortglasvezel.nl", "fo.nl", "glazenkamp.net", "hooglanderveen.net", "xmsweb.nl", "xmsnet.nl", "vathorstnet.nl", "lijbrandt.nl", "xs4all.nl", "demon.nl", "cistron.nl"];
webmail.getErrorText = function (errorCode, errorName) {
   var errorText;
   switch (errorCode) {
      case "error.user.failed-login":
      case "LGI-0006":
           if (errorName === "Invalid credentials.") {
            errorText = "Deze gebruikersnaam en/of wachtwoord is niet bekend. <a href=\"https://www.kpn.com/service/internet/e-mail/wachtwoord-of-gebruikersnaam-vergeten.htm\" target=\"_blank\">Wachtwoord vergeten?</a>";
         } else {
            errorText = "Er zijn technische problemen met webmail op het moment. Probeer later opnieuw in te loggen.";
         }
         break;
      case "error.user.blocked":
      case "LGI-0001":
      case "LGI-0026":
         errorText = "Je account is geblokkeerd. Voor meer informatie kun je contact opnemen met de klantenservice.";
         break;
      case "session-expired":
         errorText = "Je sessie is verlopen, log opnieuw in.";
         break;
      case "cookies-disabled":
         errorText = "Om in te kunnen loggen moet je eerst \"cookies accepteren\" aanzetten via de privacy instellingen in je browser.";
         break;
      case "TemporaryUnavailable":
         errorText = "Je mailbox is wegens onderhoud tijdelijk niet bereikbaar. Probeer later opnieuw in te loggen.";
         break;
      case "premigration":
      case "migration":
         errorText = "Je mailbox wordt gemigreerd naar de nieuwe webmail omgeving. Het is daardoor tijdelijk niet mogelijk om in te loggen.";
         break;
      default:
         errorText = "Er zijn technische problemen met webmail op het moment. Probeer later opnieuw in te loggen.";
         break;
   }
   return errorText;
};
